Bug 22392 - TestBuilder::build_sample_item should allow defining barcode
Summary: TestBuilder::build_sample_item should allow defining barcode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 21971
Blocks: 22348
  Show dependency treegraph
 
Reported: 2019-02-21 17:26 UTC by Martin Renvoize
Modified: 2019-03-12 09:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22392: Allow barcode to be passed to build_sample_item (1.18 KB, patch)
2019-02-21 17:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22392: Allow barcode to be passed to build_sample_item (1.25 KB, patch)
2019-02-21 19:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22392: Reuse existing pattern (1.01 KB, patch)
2019-02-21 19:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22392: Allow barcode to be passed to build_sample_item (1.31 KB, patch)
2019-02-25 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22392: Reuse existing pattern (1.07 KB, patch)
2019-02-25 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-02-21 17:26:04 UTC
Currently, build_sample_item is hardcoded to always produce a random barcode.. for acquisitions tests we may wish to define a barcode or even ensure we can pass an undefined one.
Comment 1 Martin Renvoize 2019-02-21 17:27:16 UTC
Created attachment 85472 [details] [review]
Bug 22392: Allow barcode to be passed to build_sample_item

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Jonathan Druart 2019-02-21 19:03:33 UTC
Created attachment 85477 [details] [review]
Bug 22392: Allow barcode to be passed to build_sample_item

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2019-02-21 19:03:37 UTC
Created attachment 85478 [details] [review]
Bug 22392: Reuse existing pattern

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Katrin Fischer 2019-02-25 18:44:37 UTC
Created attachment 85652 [details] [review]
Bug 22392: Allow barcode to be passed to build_sample_item

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-02-25 18:44:40 UTC
Created attachment 85653 [details] [review]
Bug 22392: Reuse existing pattern

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-03-11 13:13:25 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-03-12 09:31:12 UTC
Enhancement not backported to 18.11.x series